Intermittent invalidation/test-animated-image-layers-background.html | application crashed [@ mozilla::image::FrameAnimator::GetCompositedFrame(mozilla::image::AnimationState&)]

RESOLVED WORKSFORME

Status

()

Core
Layout
P5
critical
RESOLVED WORKSFORME
2 months ago
13 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

(Blocks: 1 bug, {crash, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell unknown], crash signature)

(Reporter)

Description

2 months ago
treeherder
Filed by: wkocher [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=122284706&repo=autoland

https://queue.taskcluster.net/v1/task/Yt9DMY3pTz6mShcmnaWtjw/runs/0/artifacts/public/logs/live_backing.log

https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/Yt9DMY3pTz6mShcmnaWtjw/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1

Comment 1

2 months ago
8 failures in 901 pushes (0.009 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 4
* try: 2
* mozilla-central: 2

Platform breakdown:
* macosx64-stylo: 7
* windows7-32-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1389308&startday=2017-08-07&endday=2017-08-13&tree=all

Comment 2

2 months ago
39 failures in 949 pushes (0.041 failures/push) were associated with this bug in the last 7 days. 

This is the #38 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 24
* mozilla-central: 14
* try: 1

Platform breakdown:
* macosx64-stylo: 36
* windows7-32-stylo: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1389308&startday=2017-08-14&endday=2017-08-20&tree=all
this is another stylo specific intermittent failure on debug, this time on osx and a little bit on windows.

here is a recent log:
https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=124400715

and here is some related text from the log (including assertions):
10:04:42     INFO - REFTEST TEST-START | file:///Users/cltbld/tasks/task_1503248243/build/tests/reftest/tests/layout/reftests/invalidation/test-animated-image-layers-background.html == file:///Users/cltbld/tasks/task_1503248243/build/tests/reftest/tests/layout/reftests/invalidation/test-animated-image-layers-background.html
10:04:42     INFO - REFTEST INFO | RESTORE PREFERENCE pref(layout.animated-image-layers.enabled,false)
10:04:42     INFO - REFTEST INFO | SET PREFERENCE pref(layout.css.servo.enabled,true)
10:04:42     INFO - REFTEST INFO | SET PREFERENCE pref(layout.animated-image-layers.enabled,true)
10:04:42     INFO - REFTEST TEST-LOAD | file:///Users/cltbld/tasks/task_1503248243/build/tests/reftest/tests/layout/reftests/invalidation/test-animated-image-layers-background.html | 898 / 996 (90%)
10:04:43     INFO - ++DOMWINDOW == 225 (0x12e275000) [pid = 1632] [serial = 2723] [outer = 0x12685b800]
10:04:43     INFO - [Child 1632] WARNING: stylo: ServoStyleSets cannot respond to document state changes yet (only matters for chrome documents). See bug 1290285.: file /home/worker/workspace/build/src/layout/base/PresShell.cpp, line 4315
10:04:43     INFO - Assertion failure: !aState.GetIsCurrentlyDecoded(), at /home/worker/workspace/build/src/image/FrameAnimator.cpp:471
10:04:43     INFO - #01: mozilla::image::RasterImage::LookupFrameInternal(mozilla::gfx::IntSizeTyped<mozilla::gfx::UnknownUnits> const&, unsigned int, mozilla::image::PlaybackType) [image/RasterImage.cpp:294]
10:04:43     INFO - 
10:04:43     INFO - #02: mozilla::image::RasterImage::LookupFrame(mozilla::gfx::IntSizeTyped<mozilla::gfx::UnknownUnits> const&, unsigned int, mozilla::image::PlaybackType) [image/RasterImage.cpp:358]
10:04:43     INFO - 
10:04:43     INFO - #03: mozilla::image::RasterImage::GetFrameInternal(mozilla::gfx::IntSizeTyped<mozilla::gfx::UnknownUnits> const&, unsigned int, unsigned int) [image/RasterImage.cpp:590]
10:04:43     INFO - 
10:04:43     INFO - #04: mozilla::image::RasterImage::GetCurrentImage(mozilla::layers::ImageContainer*, unsigned int) [mfbt/Tuple.h:329]
10:04:43     INFO - 
10:04:43     INFO - #05: mozilla::image::RasterImage::GetImageContainer(mozilla::layers::LayerManager*, unsigned int) [mfbt/Tuple.h:329]
10:04:43     INFO - 
10:04:43     INFO - #06: nsDisplayImageContainer::GetContainer(mozilla::layers::LayerManager*, nsDisplayListBuilder*) [xpcom/base/nsCOMPtr.h:402]
10:04:43     INFO - 
10:04:43     INFO - #07: nsDisplayBackgroundImage::BuildLayer(nsDisplayListBuilder*, mozilla::layers::LayerManager*, mozilla::ContainerLayerParameters const&) [mfbt/AlreadyAddRefed.h:121]
10:04:43     INFO - 
10:04:43     INFO - #08: mozilla::ContainerState::ProcessDisplayItems(nsDisplayList*) [mfbt/AlreadyAddRefed.h:121]
10:04:43     INFO - 
10:04:43     INFO - #09: mozilla::FrameLayerBuilder::BuildContainerLayerFor(nsDisplayListBuilder*, mozilla::layers::LayerManager*, nsIFrame*, nsDisplayItem*, nsDisplayList*, mozilla::ContainerLayerParameters const&, mozilla::gfx::Matrix4x4Typed<mozilla::gfx::UnknownUnits, mozilla::gfx::UnknownUnits> const*, unsigned int) [layout/painting/FrameLayerBuilder.cpp:5699]
10:04:43     INFO - 
10:04:43     INFO - #10: nsDisplayList::PaintRoot(nsDisplayListBuilder*, gfxContext*, unsigned int) [layout/painting/nsDisplayList.cpp:2208]
10:04:43     INFO - 
10:04:43     INFO - #11: nsLayoutUtils::PaintFrame(gfxContext*, nsIFrame*, nsRegion const&, unsigned int, nsDisplayListBuilderMode, nsLayoutUtils::PaintFrameFlags) [mfbt/AlreadyAddRefed.h:121]
10:04:43     INFO - 
10:04:43     INFO - #12: mozilla::PresShell::Paint(nsView*, nsRegion const&, unsigned int) [layout/base/PresShell.cpp:6462]
10:04:43     INFO - 
10:04:43     INFO - #13: nsDOMWindowUtils::UpdateLayerTree() [gfx/src/nsRegion.h:75]
10:04:43     INFO - 
10:04:43     INFO - ###!!! [Parent][MessageChannel] Error: (msgtype=0x150079,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
10:04:43     INFO - Assertion failure: mDestroyed, at /home/worker/workspace/build/src/gfx/layers/composite/ImageLayerComposite.cpp:44
10:04:43     INFO - #01: <name omitted> [memory/mozalloc/mozalloc.h:224]
10:04:43     INFO - 
10:04:43     INFO - #02: mozilla::layers::ContainerLayer::RemoveChild(mozilla::layers::Layer*) [gfx/layers/Layers.h:827]
10:04:43     INFO - 
10:04:43     INFO - #03: mozilla::layers::ContainerLayerComposite::~ContainerLayerComposite() [gfx/layers/composite/ContainerLayerComposite.cpp:666]
10:04:43     INFO - 
10:04:43     INFO - #04: mozilla::layers::ContainerLayerProperties::~ContainerLayerProperties() [memory/mozalloc/mozalloc.h:224]
10:04:43     INFO - 
10:04:43     INFO - #05: nsTArray_Impl<mozilla::UniquePtr<mozilla::layers::LayerPropertiesBase, mozilla::DefaultDelete<mozilla::layers::LayerPropertiesBase> >, nsTArrayInfallibleAllocator>::RemoveElementsAt(unsigned long, unsigned long) [xpcom/ds/nsTArray.h:2011]
10:04:43     INFO - 
10:04:43     INFO - #06: mozilla::layers::ContainerLayerProperties::~ContainerLayerProperties() [xpcom/ds/nsTArray-inl.h:21]
10:04:43     INFO - 
10:04:43     INFO - #07: mozilla::layers::ContainerLayerProperties::~ContainerLayerProperties() [memory/mozalloc/mozalloc.h:224]
10:04:43     INFO - 
10:04:43     INFO - #08: nsTArray_Impl<mozilla::UniquePtr<mozilla::layers::LayerPropertiesBase, mozilla::DefaultDelete<mozilla::layers::LayerPropertiesBase> >, nsTArrayInfallibleAllocator>::RemoveElementsAt(unsigned long, unsigned long) [xpcom/ds/nsTArray.h:2011]
10:04:43     INFO - 
10:04:43     INFO - #09: mozilla::layers::ContainerLayerProperties::~ContainerLayerProperties() [xpcom/ds/nsTArray-inl.h:21]
10:04:43     INFO - 
10:04:43     INFO - #10: mozilla::layers::ContainerLayerProperties::~ContainerLayerProperties() [memory/mozalloc/mozalloc.h:224]
10:04:43     INFO - 
10:04:43     INFO - #11: mozilla::layers::LayerManagerComposite::UpdateAndRender() [mfbt/UniquePtr.h:340]


:jet, could you help find someone from the stylo team or someone who would know about this specific test case to look into this failure and get a fix?
Flags: needinfo?(bugs)
Whiteboard: [stockwell needswork]

Comment 4

2 months ago
21 failures in 908 pushes (0.023 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 10
* mozilla-central: 8
* try: 3

Platform breakdown:
* macosx64-stylo: 17
* windows7-32-stylo: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1389308&startday=2017-08-21&endday=2017-08-27&tree=all
the failure rate here is dropping fast, lets not focus on this until it picks up frequency.
Flags: needinfo?(bugs)
Whiteboard: [stockwell needswork] → [stockwell unknown]

Comment 6

2 months ago
7 failures in 939 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* try: 2
* mozilla-central: 2

Platform breakdown:
* macosx64-stylo: 6
* windows7-32-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1389308&startday=2017-08-28&endday=2017-09-03&tree=all

Comment 7

a month ago
1 failures in 924 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1

Platform breakdown:
* macosx64-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1389308&startday=2017-09-04&endday=2017-09-10&tree=all
Resolving intermittent Stylo test failure bugs that haven't recurred within the last three weeks.
Status: NEW → RESOLVED
Last Resolved: 13 days ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.